FROM openjdk:8-jdk-alpine 

ENV JROBO_HOME=/usr/jrobo

WORKDIR $JROBO_HOME

COPY jar $JROBO_HOME/jar/
COPY conf/* $JROBO_HOME/conf/
COPY conf/projects $JROBO_HOME/conf/projects
COPY changes $JROBO_HOME/changes

ENTRYPOINT ["java", "-jar", "jar/core/jroboplc.jar", "-cfg", "conf", "-cmd", "i", "-quiet"]


